<?php

include_once("internal/helpers.php");

// define the comms interface paths here

// Comms knows to pick these up from global namespace
$fifo_out_path = "";
$fifo_in_path = "";

if (is_windows()) {
	global $argv;
	// windows
	if (test_parameter($argv, "anonymous_pipes")) {
		// named pipes seem to work for some, but not for everyone
		// let's try anonymous pipes with Windows + game build
		$fifo_out_path = "php://stdout";
		$fifo_in_path = "php://stdin";
	} else {
		$strComputername = php_uname('n');
		$fifo_out_path = "\\\\" . $strComputername . "\\pipe\\rwr_server_in";
		$fifo_in_path = "\\\\" . $strComputername . "\\pipe\\rwr_server_out";
	}
} else {
        //$fifo_out_path = "../../server_in.pipe";
        //$fifo_in_path = "../../server_out.pipe";
	$fifo_out_path = "/tmp/rwr_server_in";
	$fifo_in_path = "/tmp/rwr_server_out";
}


?>